define("jira/automation-utils", ["jquery","underscore"], function ($,_) {
  return {
    notifySuccessMessage: function (message, $el) {
      var $successMessage = $(JIRA.Templates.Automation.slackSuccessMessage({message: message}));
      var $container = ($el !== undefined) ? $el : $('.aui-page-panel-content')
      $container.append($successMessage.hide().fadeIn(400));
      setTimeout(function () {
        $successMessage.fadeOut(500, function () {
          $successMessage.remove();
        });
      }, 3000);
    },
    notifyErrorMessage: function (message, $el) {
      var $successMessage = $(JIRA.Templates.Automation.slackErrorMessage({message: message}));
      var $container = ($el !== undefined) ? $el : $('.aui-page-panel-content')
      $container.append($successMessage.hide().fadeIn(400));
      setTimeout(function () {
        $successMessage.fadeOut(500, function () {
          $successMessage.remove();
        });
      }, 3000);
    },
    waitingMessage: function (message, $el) {
      var $successMessage = $(JIRA.Templates.Automation.slackWaitingMessage({message: message}));
      $el.html($successMessage);
    },
    formatSlackMessage:function(messages){
      _.each(messages, function (message) {
          message.postedDate = new Date(message.ts * 1000);
          message.dateAsString = moment(message.postedDate).format('LLL');
          message.dateAsTimeAgo = moment(message.postedDate).fromNow();
      });
      messages = _.sortBy(messages,'postedDate');
      return messages;
    },
    formatUser:function(text){

    },
    formatDate: function (longNum) {
      var time = new Date(longNum);
      var theyear = time.getFullYear()
      var themonth = time.getMonth() + 1
      var thetoday = time.getDate()
      return thetoday + "/" + themonth + "/" + theyear;
    }
  };
});